/*
   Copyright (c) 2021 Dan Leinir Turthra Jensen <admin@leinir.dk>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#ifndef THEMEAPPLICATOR_H
#define THEMEAPPLICATOR_H

class CursorTheme;
/** Applies a given theme, using XFixes, XCursor and KGlobalSettings.
    @param theme The cursor theme to be applied. It is save to pass 0 here
        (will result in \e false as return value).
    @param size The size hint that is used to select the cursor size.
    @returns If the changes could be applied. Will return \e false if \e theme is
        0 or if the XFixes and XCursor libraries aren't available in the required
        version, otherwise returns \e true. */
bool applyTheme(const CursorTheme *theme, const int size);

#endif // THEMEAPPLICATOR_H
